<?php
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Public License Version 1.1.2
 * ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.sugarcrm.com/SPL
 * Software distributed under the License is distributed on an  "AS IS"  basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 * The Original Code is:  SugarCRM Open Source
 * The Initial Developer of the Original Code is SugarCRM, Inc.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.;
 * All Rights Reserved.
 * Contributor(s): ______________________________________.
 ********************************************************************************/
/*********************************************************************************
 * $Header: /advent/projects/wesat/vtiger_crm/sugarcrm/modules/Pets/EditView.php,v 1.16 2005/03/24 16:18:38 samk Exp $
 * Description:  TODO: To be written.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

require_once('Smarty_setup.php');
require_once('data/Tracker.php');
require_once('include/CustomFieldUtil.php');
require_once('modules/Pets/Petsutils.php');
global $app_strings;
global $mod_strings;
global $currentModule;

$focus = CRMEntity::getInstance($currentModule);
$smarty = new vtigerCRM_Smarty();
$smarty->assign("CUSTOM_MODULE", true);

// Setting up relation values
if(isset($_REQUEST['RLreturn_module']) && $_REQUEST['RLreturn_module'] != '')
{
	$RLparent_info= CRMEntity::getInstance($_REQUEST['RLreturn_module']);
	$RLparent_info->id = $_REQUEST['RLparent_id'];
	$RLparent_info->retrieve_entity_info($_REQUEST['RLparent_id'],$_REQUEST['RLreturn_module']);

	$RLresult = $adb->pquery("select * from vtiger_entityname where modulename=?",Array($_REQUEST['RLreturn_module']));
	$pmentityname = $adb->query_result($RLresult,0,'fieldname');
	$RLresult = $adb->pquery("select * from vtiger_entityname where modulename=?",Array($module));
	$cmentityname = $adb->query_result($RLresult,0,'fieldname');
	// the name field for the entity being created, get from vtiger_entityname
	$focus->column_fields[$cmentityname] ='';
	$pmentityname = explode(',',$pmentityname);
	if (is_array($pmentityname))
	foreach ($pmentityname as $RLfieldname)
		$focus->column_fields[$cmentityname] .= $RLparent_info->column_fields[$RLfieldname] . " ";

	$focus->column_fields[$cmentityname] .= 'New ' . $module;

	//print('<pre>');print_r($RLparent_info->column_fields);print('</pre>');
	// If there is a common assigned user id field, copy it
	$focus->column_fields['assigned_user_id'] = $RLparent_info->column_fields['assigned_user_id'];

	$RLresult = $adb->pquery("select vtiger_field.fieldid, uitype, typeofdata, fieldname, presence from vtiger_field ,  vtiger_fieldmodulerel where vtiger_fieldmodulerel.fieldid = vtiger_field.fieldid and module = ? and relmodule=? and presence in (0,2) and uitype in (10,522)",Array($module, $_REQUEST['RLreturn_module']));
	$rlkeyfield = $adb->query_result($RLresult,0,'fieldname');
	$focus->column_fields[$rlkeyfield] = $RLparent_info->id;

	$RL522result = $adb->pquery("select vtiger_field.fieldid, uitype, typeofdata, fieldname, presence from vtiger_field ,  vtiger_fieldmodulerel where vtiger_fieldmodulerel.fieldid = vtiger_field.fieldid and module = ? and relmodule=? and presence in (0,2) and uitype in (521)",Array($module, $_REQUEST['RLreturn_module']));

	while ($RLfieldinfo = $adb->fetch_array($RL522result ))
		{
		$rlfieldname = explode('__',$RLfieldinfo['fieldname']);
		$focus->column_fields[$RLfieldinfo['fieldname']] = $RLparent_info->column_fields[$rlfieldname[1]];
		}

		// All other secondary associated fields set up using any mappings arrays
		//if (isset($relationfieldmap) && is_array($relationfieldmap))
		//foreach ( $relationfieldmap as $childfieldname => $parentfieldname )
		//$focus->column_fields[$childfieldname] = $RLparent_info->column_fields[$parentfieldname];
}
// END Setting up relation values

//added to fix the issue4600
$searchurl = getBasic_Advance_SearchURL();
$smarty->assign("SEARCH", $searchurl);
//4600 ends

if(isset($_REQUEST['record']) && $_REQUEST['record'] != ''){
    $focus->id = $_REQUEST['record'];
    $focus->mode = 'edit';
    $focus->retrieve_entity_info($_REQUEST['record'],"Pets");
    $focus->name=$focus->column_fields['petsname'];
}

if(isset($_REQUEST['isDuplicate']) && $_REQUEST['isDuplicate'] == 'true') {
	$focus->id = "";
    	$focus->mode = '';
}
if(empty($_REQUEST['record']) && $focus->mode != 'edit'){
	setObjectValuesFromRequest($focus);
}

$disp_view = getView($focus->mode);
if($disp_view == 'edit_view')
	$smarty->assign("BLOCKS",getBlocks($currentModule,$disp_view,$mode,$focus->column_fields));
else
{
	$smarty->assign("BASBLOCKS",getBlocks($currentModule,$disp_view,$mode,$focus->column_fields,'BAS'));
}


$smarty->assign("OP_MODE",$disp_view);
$category = getParentTab();
$smarty->assign("CATEGORY",$category);

//needed when creating a new opportunity with a default vtiger_account value passed in
if (isset($_REQUEST['accountname']) && is_null($focus->accountname)) {
	$focus->accountname = $_REQUEST['accountname'];
}

global $theme;
$theme_path="themes/".$theme."/";
$image_path=$theme_path."images/";

$log->info("Pets detail view");
$smarty->assign("MOD", $mod_strings);
$smarty->assign("APP", $app_strings);

if (isset($focus->name))
$smarty->assign("NAME", $focus->name);
else
$smarty->assign("NAME", "");

if(isset($cust_fld))
{
        $smarty->assign("CUSTOMFIELD", $cust_fld);
}
if($focus->mode == 'edit')
{
	$smarty->assign("UPDATEINFO",updateInfo($focus->id));
	$smarty->assign("MODE", $focus->mode);
}

$smarty->assign('CREATEMODE', vtlib_purify($_REQUEST['createmode']));

// Unimplemented until jscalendar language vtiger_files are fixed
$smarty->assign("CALENDAR_LANG", $app_strings['LBL_JSCALENDAR_LANG']);
$smarty->assign("CALENDAR_DATEFORMAT", parse_calendardate($app_strings['NTC_DATE_FORMAT']));

if (isset($_REQUEST['return_module']))
$smarty->assign("RETURN_MODULE", vtlib_purify($_REQUEST['return_module']));
if (isset($_REQUEST['return_action']))
$smarty->assign("RETURN_ACTION", vtlib_purify($_REQUEST['return_action']));
if (isset($_REQUEST['return_id']))
$smarty->assign("RETURN_ID", vtlib_purify($_REQUEST['return_id']));
if (isset($_REQUEST['return_viewname']))
$smarty->assign("RETURN_VIEWNAME", vtlib_purify($_REQUEST['return_viewname']));
$smarty->assign("THEME", $theme);
$smarty->assign("IMAGE_PATH", $image_path);$smarty->assign("PRINT_URL", "phprint.php?jt=".session_id().$GLOBALS['request_string']);
$smarty->assign("ID", $focus->id);
$smarty->assign("MODULE",$currentModule);
$smarty->assign("SINGLE_MOD",'Pets');


 $tabid = getTabid("Pets");
 $validationData = getDBValidationData($focus->tab_name,$tabid);
 $data = split_validationdataArray($validationData);

 $smarty->assign("VALIDATION_DATA_FIELDNAME",$data['fieldname']);
 $smarty->assign("VALIDATION_DATA_FIELDDATATYPE",$data['datatype']);
 $smarty->assign("VALIDATION_DATA_FIELDLABEL",$data['fieldlabel']);

//fix for pets duplicate header
$smarty->assign("DUPLICATE",vtlib_purify($_REQUEST['isDuplicate']));

$check_button = Button_Check($module);
$smarty->assign("CHECK", $check_button);

global $adb;
// Module Sequence Numbering
$mod_seq_field = getModuleSequenceField($currentModule);
if($focus->mode != 'edit' && $mod_seq_field != null) {
		$autostr = getTranslatedString('MSG_AUTO_GEN_ON_SAVE');
		$mod_seq_string = $adb->pquery("SELECT prefix, cur_id from vtiger_modentity_num where semodule = ? and active=1",array($currentModule));
        $mod_seq_prefix = $adb->query_result($mod_seq_string,0,'prefix');
        $mod_seq_no = $adb->query_result($mod_seq_string,0,'cur_id');
        if($adb->num_rows($mod_seq_string) == 0 || $focus->checkModuleSeqNumber($focus->table_name, $mod_seq_field['column'], $mod_seq_prefix.$mod_seq_no))
                echo '<br><font color="#FF0000"><b>'. getTranslatedString('LBL_DUPLICATE'). ' '. getTranslatedString($mod_seq_field['label'])
                	.' - '. getTranslatedString('LBL_CLICK') .' <a href="index.php?module=Settings&action=CustomModEntityNo&parenttab=Settings&selmodule='.$currentModule.'">'.getTranslatedString('LBL_HERE').'</a> '
                	. getTranslatedString('LBL_TO_CONFIGURE'). ' '. getTranslatedString($mod_seq_field['label']) .'</b></font>';
        else
                $smarty->assign("MOD_SEQ_ID",$autostr);
} else {
	$smarty->assign("MOD_SEQ_ID", $focus->column_fields[$mod_seq_field['name']]);
}
// END

        $associated_prod = getAssociatedProducts($module, $focus);
		//print('<pre>');print_r($associated_prod);print('</pre>');
        $smarty->assign("ASSOCIATEDPRODUCTS", $associated_prod);

if($focus->mode == 'edit')
$smarty->display("salesEditView.tpl");
else
$smarty->display("CreateView.tpl");

?>
